Retrieve a form
curl --request GET \
--url https://api.tally.so/forms/{formId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tally.so/forms/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tally.so/forms/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspaceId": "<string>",
"numberOfSubmissions": 123,
"isClosed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"payments": [
{
"amount": 123,
"currency": "<string>"
}
],
"settings": {
"language": "<string>",
"isClosed": false,
"closeMessageTitle": "<string>",
"closeMessageDescription": "<string>",
"closeTimezone": "<string>",
"closeDate": "<string>",
"closeTime": "<string>",
"submissionsLimit": 1,
"uniqueSubmissionKey": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"redirectOnCompletion": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"hasSelfEmailNotifications": false,
"selfEmailTo": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"selfEmailReplyTo": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"selfEmailSubject": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"selfEmailFromName": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"selfEmailBody": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"hasRespondentEmailNotifications": false,
"respondentEmailTo": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"respondentEmailReplyTo": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"respondentEmailSubject": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"respondentEmailFromName": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"respondentEmailBody": {
"html": "<string>",
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
]
},
"hasProgressBar": false,
"hasPartialSubmissions": false,
"pageAutoJump": false,
"saveForLater": true,
"styles": "<string>",
"password": "<string>",
"submissionsDataRetentionDuration": 1,
"submissionsDataRetentionUnit": "<string>"
},
"blocks": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "FORM_TITLE",
"groupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload": {
"html": "<string>",
"title": "<string>",
"logo": "<string>",
"cover": "<string>",
"coverSettings": {
"objectPositionYPercent": 50
},
"mentions": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"payload": {}
},
"defaultValue": "<unknown>"
}
],
"button": {
"label": "<string>"
}
}
}
]
}Forms
Fetching forms
Returns a single form by its ID with all its blocks and settings.
GET
/
forms
/
{formId}
Retrieve a form
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the form to retrieve
Response
Form retrieved successfully
Available options:
BLANK, DRAFT, PUBLISHED, DELETED Show child attributes
Show child attributes
Show child attributes
Show child attributes
blocks
(FormTitleBlock · object | TitleBlock · object | TextBlock · object | LabelBlock · object | Heading1Block · object | Heading2Block · object | Heading3Block · object | ImageBlock · object | EmbedBlock · object | EmbedVideoBlock · object | EmbedAudioBlock · object | DividerBlock · object | PageBreakBlock · object | InputTextBlock · object | TextareaBlock · object | InputNumberBlock · object | InputEmailBlock · object | InputLinkBlock · object | InputPhoneNumberBlock · object | InputDateBlock · object | InputTimeBlock · object | MultipleChoiceOptionBlock · object | CheckboxBlock · object | DropdownOptionBlock · object | RankingOptionBlock · object | MultiSelectOptionBlock · object | LinearScaleBlock · object | RatingBlock · object | MatrixBlock · object | MatrixRowBlock · object | MatrixColumnBlock · object | FileUploadBlock · object | SignatureBlock · object | PaymentBlock · object | HiddenFieldsBlock · object | ConditionalLogicBlock · object | CalculatedFieldsBlock · object | CaptchaBlock · object | RespondentCountryBlock · object)[]
A block with type FORM_TITLE. Used for the main form title with optional logo and cover image.
- FormTitleBlock
- TitleBlock
- TextBlock
- LabelBlock
- Heading1Block
- Heading2Block
- Heading3Block
- ImageBlock
- EmbedBlock
- EmbedVideoBlock
- EmbedAudioBlock
- DividerBlock
- PageBreakBlock
- InputTextBlock
- TextareaBlock
- InputNumberBlock
- InputEmailBlock
- InputLinkBlock
- InputPhoneNumberBlock
- InputDateBlock
- InputTimeBlock
- MultipleChoiceOptionBlock
- CheckboxBlock
- DropdownOptionBlock
- RankingOptionBlock
- MultiSelectOptionBlock
- LinearScaleBlock
- RatingBlock
- MatrixBlock
- MatrixRowBlock
- MatrixColumnBlock
- FileUploadBlock
- SignatureBlock
- PaymentBlock
- HiddenFieldsBlock
- ConditionalLogicBlock
- CalculatedFieldsBlock
- CaptchaBlock
- RespondentCountryBlock
Show child attributes
Show child attributes
⌘I